nxt.ce

## Class CoinExchange.Trade

- java.lang.Object
- - nxt.ce.CoinExchange.Trade

- Enclosing class:
    CoinExchange

      public static final class CoinExchange.Trade
      extends java.lang.Object

  Define a coin exchange trade A coin exchange consists of two trades. One trade is entered in the trade table for our coin and another trade is entered in the trade table for the requested coin. For each trade, the buyer is the order owner for the owning child chain and the seller is the order owner for the requested coin child chain. 'exchangeId' is the child chain identifier for the exchanged coin 'exchangeQuantity' is the exchanged coin amount 'exchangePrice' is the price for the exchanged coins 'exchangeQuantity * exchangePrice' is the number of coins spent for the exchange

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `long` | `getBlockId()`
    `int` | `getChainId()`
    `int` | `getExchangeId()`
    `java.math.BigDecimal` | `getExchangePrice()`
    `long` | `getExchangePriceNQT()`
    `long` | `getExchangeQuantityQNT()`
    `int` | `getHeight()`
    `byte[]` | `getMatchFullHash()`
    `long` | `getMatchId()`
    `byte[]` | `getOrderFullHash()`
    `long` | `getOrderId()`
    `int` | `getTimestamp()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getChainId

          public int getChainId()

    - #### getExchangeId

          public int getExchangeId()

    - #### getBlockId

          public long getBlockId()

    - #### getHeight

          public int getHeight()

    - #### getTimestamp

          public int getTimestamp()

    - #### getExchangeQuantityQNT

          public long getExchangeQuantityQNT()

    - #### getExchangePriceNQT

          public long getExchangePriceNQT()

    - #### getExchangePrice

          public java.math.BigDecimal getExchangePrice()

    - #### getAccountId

          public long getAccountId()

    - #### getOrderId

          public long getOrderId()

    - #### getOrderFullHash

          public byte[] getOrderFullHash()

    - #### getMatchId

          public long getMatchId()

    - #### getMatchFullHash

          public byte[] getMatchFullHash()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`